class Project < Sequel::Model(:projects)

  # many-to-many with Hardware
  many_to_many  :hardware,
    left_id:    :project_id,
    right_id:   :hardware_id,
    join_table: :projects_hardware

  # many-to-many with Benchmark
  many_to_many  :benchmarks,
    left_id:    :project_id,
    right_id:   :benchmark_id,
    join_table: :projects_benchmarks

  # many-to-many with Test
  many_to_many  :tests,
    left_id:    :project_id,
    right_id:   :test_id,
    join_table: :projects_tests

end
